cancel
Showing results for 
Search instead for 
Did you mean: 

OpenSSH on Tru64 (zlib error)

SOLVED
Go to solution
Levente Szente
Occasional Contributor

OpenSSH on Tru64 (zlib error)

I am trying to install OpenSSH and I get the following error: "zlib.h missing", but I have zlib installed. I googled for it and I've read that this is a common error, but how do I solve it?
3 REPLIES
Ross Minkov
Esteemed Contributor
Solution

Re: OpenSSH on Tru64 (zlib error)


Levente,

Just fyi, ssh2 comes with Tru64 UNIX V5.1B
and is available for download for V5.1 and V5.1A as a setld kit.

If you have an older version then OpenSSH is the way to go. OpenSSH depends on two other software packages: OpenSSL and zlib. OpenSSL is a cryptographic library available at http://www.openssl.com/; all the cryptography used in OpenSSH is pulled from OpenSSL. zlib is a library of data-compression routines, available at http://www.info-zip.org/pub/infozip/zlib/. Before compiling OpenSSH, you must obtain and install these packages. When you configure OpenSSH specifiy where are your OpenSSL and zlib licated. Use something like this:

./configure --prefix=/usr/opt --with-ssl-dir=/usr/local/openssl-x.x.x --with-zlib=/usr/local/include

(note the above is just an example, you paths will be different)

HTH,
Ross
Levente Szente
Occasional Contributor

Re: OpenSSH on Tru64 (zlib error)

Thanks for your help Ross.
Levente Szente
Occasional Contributor

Re: OpenSSH on Tru64 (zlib error)

I needed to install openssl and zlib first.